# setBuildDir

abstract fun setBuildDir(path: File)

### Deprecated

Use `getLayout().getBuildDirectory()` and set the org.gradle.api.file.DirectoryProperty

Sets the build directory of this project. The build directory is the directory which all artifacts are generated into.

#### Since

4.0

#### Parameters

path

The build directory

abstract fun setBuildDir(path: Any)

### Deprecated

Use `getLayout().getBuildDirectory()` and set the org.gradle.api.file.DirectoryProperty

Sets the build directory of this project. The build directory is the directory which all artifacts are generated into. The path parameter is evaluated as described for file. This mean you can use, amongst other things, a relative or absolute path or File object to specify the build directory.

#### Parameters

path

The build directory. This is evaluated as per file